Subject: Fast Video [was: More ramblings...]

From: Tommy Thorn <[email-masked]>
Date: Sun, 27 Jun 1993 20:36:46 +0200

Pat Mackinlay writes:
 > 
 > >>* Video controller: I'm still for a TMS34010-based solution. Here, the 
 > 
 > >Good enough, but still better to use VRAM as frame buffer for TMS and a
 > >24-bit RAMDAC.
 > 
 > I was assuming this. I've since found out a bit more about the 34k. 
 > Basically, the chip has access to one memory bank. This bank may be either 
 > DRAM or VRAM, and is used to store both the chip's code and the video 
 > image. The host has access to all of this memory through an 8 or 16 bit 
 > "host access port" - so it can essentially "write through" the 34k and into 
 > the RAM on the other side. I think this would attach to the 3730 quite 
 > nicely. I'm assuming TI makes a neat little DAC/palette chip intended for 
 > use with the 34k, and if it's cheap enough, it'll be a neat solution.

The 34010 might be good if it simplifies the design and helps bring
the price down, but I worry over the affect on video performens (and
complexity of the software). One can do quite well with a dumb
frame buffer with high bandwidth. Joel McCormack's article ("Writing
Fast X Servers for Dumb Color Frame Buffers. Software: Practice and
Experience 20(S2):83-108, October 1990) shows this (using a R3000 BTW).

What memory bandwidth can one expect using the 34010 as a dumb frame
buffer?